#ifndef LOADERENGINE_H
#define LOADERENGINE_H

#include <QObject>
#include "tagargaudiodisc.h"

class LoaderEngine : public QObject
{
    Q_OBJECT
public:
    LoaderEngine(QObject *parent = 0);
    ~LoaderEngine();

public slots:
    void applicationLoaded( const QString & name );

private slots:
    void lyricsDestroyed();
    
private:
    TagargAudioDisc *tagarg_audio;
};

#endif // LOADERENGINE_H
